﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RadChartView.UsingRadPolarChart.WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            LoadPolarChart();
        }

        void LoadPolarChart()
        {
            List<PolarDataClass> polarDatas = new List<PolarDataClass>();

            Random rnd = new Random();

            for (int i = 0; i < 8; i++)
            {
                PolarDataClass pdc = new PolarDataClass();
                pdc.xAngle = i * 45;
                pdc.xValue = rnd.NextDouble() * 100;

                polarDatas.Add(pdc);
            }

            xPolarChart.Series[0].ItemsSource = polarDatas;
        }
    }

    public class PolarDataClass
    {
        public double xAngle { get; set; }
        public double xValue { get; set; }

        public PolarDataClass()
        {

        }
    }
}
