﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace RadChartView.UsingRadPolarChart
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<PolarDataClass> polarDatas = new List<PolarDataClass>();

            Random rnd = new Random();

            for (int i = 0; i < 8; i++)
            {
                PolarDataClass pdc = new PolarDataClass();
                pdc.xAngle = i * 45;
                pdc.xValue = rnd.NextDouble() * 100;

                polarDatas.Add(pdc);
            }

            xPolarChart.Series[0].ItemsSource = polarDatas;
        }
    }

    public class PolarDataClass
    {
        public double xAngle { get; set; }
        public double xValue { get; set; }

        public PolarDataClass()
        {

        }
    }
}
